hswaw - Bugless #11

k0: move from docker-shim to containerd
02/08/2021 05:46 PM - q3k

Status: Resolved
Priority: High
Assignee: g3k
Category:

Description

docker-shim for kubelet integration is deprecated and gone in newer versions of kube, and g3k generally thinks it's causing us some
kubelet badness (eg. when (re)starting pods with volumes that take a while to fsck).

History

#1 - 02/08/2021 05:46 PM - q3k
- Blocked by Bugless #4: kO: refactor nix machinery for cluster added

#2 - 02/08/2021 05:51 PM - q3k

- Description updated

#3 - 02/13/2021 05:52 PM - q3k
https://gerrit.hacker .pl/762

#4 - 02/13/2021 05:57 PM - q3k

- Status changed from Assigned to Accepted

#5 - 02/13/2021 05:58 PM - q3k
- Blocked by deleted (Bugless #4: kO: refactor nix machinery for cluster)

#6 - 02/13/2021 05:58 PM - q3k

- Status changed from Accepted to Resolved

Did this before fixing #4, as | was already rolling out changes for #3 .
